- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ConstantTermEval Class Template Reference

This is the visitor that really computes the constant term. More...

Inherits KRatExpMatcher.

List of all members.

## Public Member Functions
U | match (const T &ast)
| Effectively performs the match.

## Detailed Description

### template<class Series, class T, class Dispatch>
class vcsn::ConstantTermEval< Series, T, Dispatch >

This is the visitor that really computes the constant term.

This class should be used only in constant_term() and should not be instanciated from elsewhere.

See also:
  constant_term()

Definition at line 34 of file krat_exp_constant_term.hxx.

## Member Function Documentation

U match | ( | const T & | ast | ) | `[inline, inherited]`

Effectively performs the match.

Parameters:

  | ast | The object to perform the match on.

See also:
  DispatchVisitor::DispatchVisitor

Definition at line 128 of file krat_exp_pattern.hxx.

Referenced by vcsn::constant_term().